> ## Documentation Index
> Fetch the complete documentation index at: https://developer.siit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Services

> Fetch Services

## Usage


## OpenAPI

````yaml get /v1/services
openapi: 3.0.1
info:
  title: Siit Public API
  version: v0
servers:
  - url: https://api.siit.io
security: []
paths:
  /v1/services:
    get:
      tags:
        - Service
      summary: List Services
      description: Fetch Services
      parameters:
        - $ref: '#/components/parameters/expand_param'
        - name: enabled
          in: query
          required: false
          description: Filter enabled/disabled Services.
          schema:
            type: boolean
        - name: created_after
          in: query
          schema:
            type: string
            format: date-time
          required: false
          description: Filter Services created after a DateTime (ISO 8601).
        - name: created_before
          in: query
          schema:
            type: string
            format: date-time
          required: false
          description: Filter Services created before a DateTime (ISO 8601).
        - name: updated_after
          in: query
          schema:
            type: string
            format: date-time
          required: false
          description: Filter Services updated after a DateTime (ISO 8601).
        - name: updated_before
          in: query
          schema:
            type: string
            format: date-time
          required: false
          description: Filter Services updated before a DateTime (ISO 8601).
        - name: page
          in: query
          required: false
          description: The current page
          schema:
            type: integer
        - name: per_page
          in: query
          required: false
          description: Number of results retrieved per page.
          schema:
            type: integer
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/services_paged_object'
        '401':
          description: Unauthorized
      security:
        - bearer: []
components:
  parameters:
    expand_param:
      name: expand[]
      in: query
      schema:
        type: array
        items:
          type: string
      description: >-
        Fields to expand into full objects. Example:
        ?expand[]=assignee_admin&expand[]=tags
      required: false
  schemas:
    services_paged_object:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/meta_object'
        results:
          type: array
          items:
            $ref: '#/components/schemas/service'
    meta_object:
      type: object
      properties:
        count:
          type: integer
        current_page:
          type: integer
        next_page_link:
          type: string
          nullable: true
        per_page:
          type: integer
          default: 20
          maximum: 200
        previous_page_link:
          type: string
          nullable: true
        total:
          type: integer
    service:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Service
        about:
          type: string
          description: The Service description
          nullable: true
        category:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/service_category'
          description: >-
            The category of this Service. Pass `?expand[]=field_name` for full
            object.
          nullable: false
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        custom_form_input_configuration:
          type: array
          description: Custom form input configuration for this Service
          nullable: true
          readOnly: true
          items:
            $ref: '#/components/schemas/service_custom_form_input'
        enabled:
          type: boolean
          description: Indicates if the Service is enabled
        name:
          type: string
          description: The Service name
          nullable: false
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
    service_category:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Category
        name:
          type: string
          description: The Service's category name
          nullable: false
    service_custom_form_input:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the custom form input
        kind:
          type: string
          description: The type of the field
          enum:
            - attachment
            - datepicker
            - number
            - select
            - select_application
            - select_country
            - select_department
            - select_equipment
            - select_legal_entity
            - select_office_location
            - select_people
            - select_team
            - string
            - text
        label:
          type: string
          description: The label of the custom form input
        multiple:
          type: boolean
          description: Whether multiple values can be selected
          nullable: true
        options:
          type: array
          description: Available options for select fields
          nullable: true
          items:
            type: string
        required:
          type: boolean
          description: Whether this field is required
        triggers_app_access:
          type: boolean
          description: Whether this field triggers an app access request
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````